Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224174 - rebuild error on a rawhide system, DB4 not found
Summary: rebuild error on a rawhide system, DB4 not found
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: netatalk
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 14:38 UTC by Karsten Hopp
Modified: 2016-07-26 23:46 UTC (History)
2 users (show)

Fixed In Version: netatalk-2.0.3-9.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-06 07:28:17 UTC


Attachments (Terms of Use)
netatalk buildlog in chroot created from rawhide as of today (deleted)
2007-01-25 15:50 UTC, Jindrich Novy
no flags Details
correct buildlog in a chroot in today's rawhide (deleted)
2007-01-25 16:00 UTC, Jindrich Novy
no flags Details

Description Karsten Hopp 2007-01-24 14:38:28 UTC
Description of problem:
checking for Berkeley DB headers in /usr/include/db4... yes
checking /usr/include/db4/db.h version >= 4.1.0... 4.5.20, yes
checking for Berkeley DB link (-ldb-4.3)... yes
checking Berkeley DB library version >= 4.1.0... header/library version mismatch
(4.5.20/4.3.29), no
checking for Berkeley DB headers in /usr/include/... yes
checking /usr/include//db.h version >= 4.1.0... 4.5.20, yes
checking for Berkeley DB link (-ldb-4.3)... yes
checking Berkeley DB library version >= 4.1.0... header/library version mismatch
(4.5.20/4.3.29), no

Make sure you have the required Berkeley DB libraries AND headers installed.
You can download the latest version from http://www.sleepycat.com.
If you have installed BDB in a non standard location use the
--with-bdb=/path/to/bdb configure option and make sure
your linker is configured to check for libraries there.
configure: error: Berkeley DB library required but not found!
error: Bad exit status from /var/tmp/netatalk-2.0.3-7.fc6.src.rpm/rpm-tmp.38851
(%build)

Version-Release number of selected component (if applicable):
netatalk-2.0.3-7.fc6

Comment 1 Jindrich Novy 2007-01-24 15:43:33 UTC
Karsten, are you sure about netatalk-2.0.3-7.fc6 ?

The latest netatalk is netatalk-2.0.3-9.fc7

Comment 2 Karsten Hopp 2007-01-25 13:56:19 UTC
different error with 2.0.3-9.fc7:
In file included from /usr/include/xfs/linux.h:28,
                 from /usr/include/xfs/platform_defs-i386.h:54,
                 from /usr/include/xfs/platform_defs.h:7,
                 from /usr/include/xfs/xfs.h:36,
                 from /usr/include/xfs/xqm.h:21,
                 from quota.c:68:
/usr/include/xfs/swab.h:112: error: redefinition of '__fswab16'
/usr/include/linux/byteorder/swab.h:133: error: previous definition of
'__fswab16' was here
/usr/include/xfs/swab.h:116: error: conflicting types for '__swab16p'
/usr/include/linux/byteorder/swab.h:137: error: previous definition of
'__swab16p' was here
/usr/include/xfs/swab.h:120: error: redefinition of '__swab16s'
/usr/include/linux/byteorder/swab.h:141: error: previous definition of
'__swab16s' was here
/usr/include/xfs/swab.h:125: error: redefinition of '__fswab32'
/usr/include/linux/byteorder/swab.h:146: error: previous definition of
'__fswab32' was here
/usr/include/xfs/swab.h:129: error: conflicting types for '__swab32p'
/usr/include/linux/byteorder/swab.h:150: error: previous definition of
'__swab32p' was here
/usr/include/xfs/swab.h:133: error: redefinition of '__swab32s'
/usr/include/linux/byteorder/swab.h:154: error: previous definition of
'__swab32s' was here
/usr/include/xfs/swab.h:138: error: redefinition of '__fswab64'
/usr/include/linux/byteorder/swab.h:160: error: previous definition of
'__fswab64' was here
/usr/include/xfs/swab.h:148: error: conflicting types for '__swab64p'
/usr/include/linux/byteorder/swab.h:170: error: previous definition of
'__swab64p' was here
/usr/include/xfs/swab.h:152: error: redefinition of '__swab64s'
/usr/include/linux/byteorder/swab.h:174: error: previous definition of
'__swab64s' was here
make[3]: *** [quota.o] Error 1


Comment 3 Jindrich Novy 2007-01-25 15:50:15 UTC
Created attachment 146567 [details]
netatalk buildlog in chroot created from rawhide as of today

Builds successfully for me. Note that the new netatalk was also successfully
built via brew:

http://brewweb.devel.redhat.com/brew/buildinfo?buildID=55010

Comment 4 Jindrich Novy 2007-01-25 16:00:05 UTC
Created attachment 146572 [details]
correct buildlog in a chroot in today's rawhide

D'oh, attached old log in the previous comment. This is the correct one.

Comment 5 Martin Nagy 2008-03-06 07:28:17 UTC
This appears to be long fixed from netatalk-2.0.3-9.fc7, it was probably just
forgotten and no one closed this. Thus closing as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.